version: '3'
services:
  merms-office:
    image: registry.chiefsoft.net/merms-first-office:latest
    build:
      context: .
#      dockerfile: Dockerfile
      dockerfile: docker/Dockerfile
      args:
        - NODE_ENV=development
    restart: unless-stopped
    volumes:
      - ./:/app
      - '/app/node_modules'
      - ./run.sh:/app/run.sh
    ports:
      - 8092:5173
      - 8099:3000
    expose:
      - "5173"
      - "3000"
    extra_hosts:
      - devapi.mermsemr.com:10.10.33.15
      - api.mermsemr.com:10.10.33.15
      - devsocket.mermsemr.com:10.10.33.15
      - socket.mermsemr.com:10.10.33.15
    environment:
      - PORT=${DIGIFI_PORT}
      - NODE_ENV=${NODE_ENV:-production}
    tty: true
    stdin_open: true
volumes:
  src:

#networks:
#  default:
#    driver: bridge
#    ipam:
#      config:
#        - subnet: 172.15.56.0/24
